## org.apache.tools.ant.taskdefs
Class Exit

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.Exit

public class Exit
extends Task

Exits the active build, giving an additional message if available. The `if` and `unless` attributes make the failure conditional -both probe for the named property being defined. The `if` tests for the property being defined, the `unless` for a property being undefined. If both attributes are set, then the test fails only if both tests are true. i.e.

    fail := defined(ifProperty) && !defined(unlessProperty)

Since:
  Ant 1.2
Author:
  Nico Seessle, steve loughran

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Exit()`

Method Summary
`void` `addText(java.lang.String msg)` Set a multiline message.
`void` `execute()` evaluate both if and unless conditions, and if ifCondition is true or unlessCondition is false, throw a build exception to exit the build.
`void` `setIf(java.lang.String c)` Only fail if a property of the given name exists in the current project.
`void` `setMessage(java.lang.String value)` A message giving further information on why the build exited.
`void` `setUnless(java.lang.String c)` Only fail if a property of the given name does not exist in the current project.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Exit

    public Exit()

Method Detail

### setMessage

    public void setMessage(java.lang.String value)

  A message giving further information on why the build exited.

  Parameters:
    `value` - message to output

### setIf

    public void setIf(java.lang.String c)

  Only fail if a property of the given name exists in the current project.

  Parameters:
    `c` - property name

### setUnless

    public void setUnless(java.lang.String c)

  Only fail if a property of the given name does not exist in the current project.

  Parameters:
    `c` - property name

### execute

    public void execute()
                 throws BuildException

  evaluate both if and unless conditions, and if ifCondition is true or unlessCondition is false, throw a build exception to exit the build. The error message is constructed from the text fields, or from the if and unless parameters (if present).

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException`

### addText

    public void addText(java.lang.String msg)

  Set a multiline message.

  Parameters:
    `msg` - the message to display

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.